Bug 1736814 - Mesa update causing VLC video playback crashes
Summary: Mesa update causing VLC video playback crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-02 06:26 UTC by Phil
Modified: 2019-08-22 01:17 UTC (History)
21 users (show)

Fixed In Version: mesa-19.1.4-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 01:17:34 UTC


Attachments (Terms of Use)
gdb output from VLC crash (2.22 KB, text/plain)
2019-08-02 06:26 UTC, Phil
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 111213 None None None 2019-08-08 12:21:22 UTC

Description Phil 2019-08-02 06:26:54 UTC
Created attachment 1599494 [details]
gdb output from VLC crash

Description of problem:
Upgrading Mesa to 19.1.3-1 causes VLC video playback to crash with an error message. Rolling back Mesa upgrades via 'dnf downgrade mesa-*' fixes the problem. 

Version-Release number of selected component (if applicable):
19.1.3-1

How reproducible:
always


Steps to Reproduce:
1. Install Mesa 19.1.3-1
2. Install VLC 3.0.7.1-3
3. Attempt to playback any video

Actual results:
VLC crashes, dmesg displays a segfault in the nouveau driver

Expected results:
Successful video playback


Additional info:
Initially discussed here: https://ask.fedoraproject.org/t/vlc-player-installed-from-rpmfusion-crashes-with-all-videos/2703/9

kernel log points to nouveau_drv_video.so:

[ 59.550875] vlc[3788]: segfault at 38 ip 00007f9784a96e6f sp 00007f9797b3e3d0 error 4 in nouveau_drv_video.so[7f97847f9000+485000]
[ 59.550878] Code: 89 f3 31 f6 48 83 ec 08 e8 3e 00 01 00 48 8b 40 08 48 8b 50 40 48 83 c0 40 48 39 c2 0f 84 4f 87 d6 ff 48 8b 42 10 48 8b 68 10 45 38 ff ff 10 00 75 08 8b 45 28 39 45 24 74 10 48 83 c4 08 5b

Comment 1 Andrea Musuruane 2019-08-02 12:04:33 UTC
I've also been hit by this issue. Downgrading mesa fixed things for me.

Comment 2 Sören Möller 2019-08-02 19:42:30 UTC
I also was hit by the issue with error message:

VLC media player 3.0.7.1 Vetinari (revision 3.0.7.1-0-gf3940db4af)
[0000562b95d34be0] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.
libva info: VA-API version 1.4.1
libva info: va_getDriverName() returns -1
libva error: va_getDriverName() failed with unknown libva error,driver_name=(null)
[00007f16cc0055e0] glconv_vaapi_x11 gl error: vaInitialize: unknown libva error
libva info: VA-API version 1.4.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/nouveau_drv_video.so
libva info: Found init function __vaDriverInit_1_4
Segmentation fault (core dumped)

Downgrading mesa from 19.1.3-1.fc30 to 19.0.2-3.fc30 fixed the issue.

Comment 3 Ludva Homolka 2019-08-06 11:47:19 UTC
Downgrading just mesa-dri-drivers and mesa-filesystem was enough for me.

It's not an issue of VLC only, almost every video application (VLC, kaffeine, xine, avidemux) crashes with the new mesa drivers.

Comment 4 Pete Walter 2019-08-08 12:21:23 UTC
Upstream bug: https://bugs.freedesktop.org/show_bug.cgi?id=111213

Comment 5 Sören Möller 2019-08-12 21:50:23 UTC
Todays update in rawhide to mesa 19.1.4-1.fc31 has changed the behavior of this bug for me:
Now video players (I tested both celluloid and VLC) start playing the videos, but sometimes crash after a few seconds (especially it seems, when I try to jump forward to somewhere in the video). On the other hand, celluloid now managed (once) to not only crash itself, but my Wayland session as well.

celluloid resulted in this output from journalctl (when not crashing Wayland):
ug 12 23:42:57 localhost.localdomain gsd-media-keys[1723]: invalid cast from 'GDBusProxy' to 'MprisController'
Aug 12 23:42:57 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: fault 01 [WRITE] at 0000000003b4c000 engine 00 [GR] client 0f [GPC2/PROP_0] reason 82 [] on channe>
Aug 12 23:42:57 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 7: killed
Aug 12 23:42:57 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Aug 12 23:42:57 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Aug 12 23:42:57 localhost.localdomain kernel: nouveau 0000:01:00.0: celluloid[2979]: channel 7 killed!
Aug 12 23:42:58 localhost.localdomain gsd-color[1741]: unable to get EDID for xrandr-eDP-1: unable to get EDID for output
Aug 12 23:43:01 localhost.localdomain audit[2979]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 pid=2979 comm=6D70762F6D707620636F7265 exe="/usr/bin/celluloid" sig=11 res=1
Aug 12 23:43:01 localhost.localdomain kernel: mpv/mpv core[2984]: segfault at 0 ip 00007fbae5bd33a2 sp 00007fbad4d873b0 error 4 in libmpv.so.1.103.0[7fbae5b66000+12c000]
Aug 12 23:43:01 localhost.localdomain kernel: Code: 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 41 55 41 54 55 53 48 89 fb 48 83 ec 08 48 8b 47 20 4c 8b 2f 8b 28 48 8b 47 10 4c 8b >
Aug 12 23:43:01 localhost.localdomain systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Aug 12 23:43:01 localhost.localdomain systemd[1]: Started Process Core Dump (PID 3026/UID 0).
Aug 12 23:43:01 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-3026-0 comm="systemd" exe="/usr/lib/sy>
Aug 12 23:43:04 localhost.localdomain systemd-coredump[3027]: Process 2979 (celluloid) of user 1000 dumped core.
                                                              
                                                              Stack trace of thread 2984:
                                                              #0  0x00007fbae5bd33a2 cmd_key (libmpv.so.1)
                                                              #1  0x00007fbae5bddadb run_command (libmpv.so.1)
                                                              #2  0x00007fbae5bb97d7 mp_dispatch_queue_process (libmpv.so.1)
                                                              #3  0x00007fbae5bf07a0 mp_wait_events (libmpv.so.1)
                                                              #4  0x00007fbae5bf2a0a run_playloop (libmpv.so.1)
                                                              #5  0x00007fbae5be9e98 mp_play_files (libmpv.so.1)
                                                              #6  0x00007fbae5bd02f0 core_thread (libmpv.so.1)
                                                              #7  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #8  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2980:
                                                              #0  0x00007fbae57d779f __poll (libc.so.6)
                                                              #1  0x00007fbae5dc22ee g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fbae5dc2423 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fbae5dc2471 glib_worker_main (libglib-2.0.so.0)
                                                              #4  0x00007fbae5deb962 g_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2983:
                                                              #0  0x00007fbae57d779f __poll (libc.so.6)
                                                              #1  0x00007fbae5dc22ee g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fbae5dc2423 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fbad5758a9d dconf_gdbus_worker_thread (libdconfsettings.so)
                                                              #4  0x00007fbae5deb962 g_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2986:
                                                              #0  0x00007fbae528707a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae5bcf153 wait_wakeup (libmpv.so.1)
                                                              #2  0x00007fbae5bd06ca mpv_wait_event (libmpv.so.1)
                                                              #3  0x00007fbae5bec067 script_wait_event (libmpv.so.1)
                                                              #4  0x00007fbae274ac4c luaD_precall (liblua-5.1.so)
                                                              #5  0x00007fbae2755b15 luaV_execute (liblua-5.1.so)
                                                              #6  0x00007fbae274b1ed luaD_call (liblua-5.1.so)
                                                              #7  0x00007fbae2746e09 lua_call (liblua-5.1.so)
                                                              #8  0x00007fbae5beb59f load_scripts (libmpv.so.1)
                                                              #9  0x00007fbae274ac4c luaD_precall (liblua-5.1.so)
                                                              #10 0x00007fbae274b1b9 luaD_call (liblua-5.1.so)
                                                              #11 0x00007fbae274a4d3 luaD_rawrunprotected (liblua-5.1.so)
                                                              #12 0x00007fbae274b391 luaD_pcall (liblua-5.1.so)
                                                              #13 0x00007fbae2746e9c lua_pcall (liblua-5.1.so)
                                                              #14 0x00007fbae5bece65 run_lua (libmpv.so.1)
                                                              #15 0x00007fbae274ac4c luaD_precall (liblua-5.1.so)
                                                              #16 0x00007fbae274b1b9 luaD_call (liblua-5.1.so)
                                                              #17 0x00007fbae274a4d3 luaD_rawrunprotected (liblua-5.1.so)
                                                              #18 0x00007fbae274b391 luaD_pcall (liblua-5.1.so)
                                                              #19 0x00007fbae2746f2b lua_cpcall (liblua-5.1.so)
                                                              #20 0x00007fbae5bea082 load_lua (libmpv.so.1)
                                                              #21 0x00007fbae5bf412c script_thread (libmpv.so.1)
                                                              #22 0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #23 0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2981:
                                                              #0  0x00007fbae57d779f __poll (libc.so.6)
                                                              #1  0x00007fbae5dc22ee g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fbae5dc2673 g_main_loop_run (libglib-2.0.so.0)
                                                              #3  0x00007fbae600c12a gdbus_shared_thread_func (libgio-2.0.so.0)
                                                              #4  0x00007fbae5deb962 g_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2982:
                                                              #0  0x00007fbae57dce4d syscall (libc.so.6)
                                                              #1  0x00007fbae5e0e53e g_cond_wait_until (libglib-2.0.so.0)
                                                              #2  0x00007fbae5d93031 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
                                                              #3  0x00007fbae5d93656 g_async_queue_timeout_pop (libglib-2.0.so.0)
                                                              #4  0x00007fbae5dec149 g_thread_pool_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fbae5deb962 g_thread_proxy (libglib-2.0.so.0)
                                                              #6  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #7  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2998:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae5bbb618 worker_thread (libmpv.so.1)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3017:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2990:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbac4f74b3b util_queue_thread_func (nouveau_drv_video.so)
                                                              #2  0x00007fbac4f7474b impl_thrd_routine (nouveau_drv_video.so)
                                                              #3  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #4  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3023:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae5b7e43b wait_audio (libmpv.so.1)
                                                              #2  0x00007fbae5b81183 playthread (libmpv.so.1)
                                                              #3  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #4  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2989:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbac60abebb util_queue_thread_func (nouveau_dri.so)
                                                              #2  0x00007fbac60abacb impl_thrd_routine (nouveau_dri.so)
                                                              #3  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #4  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2987:
                                                              #0  0x00007fbae528707a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae5bcf153 wait_wakeup (libmpv.so.1)
                                                              #2  0x00007fbae5bd06ca mpv_wait_event (libmpv.so.1)
                                                              #3  0x00007fbae5bec067 script_wait_event (libmpv.so.1)
                                                              #4  0x00007fbae274ac4c luaD_precall (liblua-5.1.so)
                                                              #5  0x00007fbae2755b15 luaV_execute (liblua-5.1.so)
                                                              #6  0x00007fbae274b1ed luaD_call (liblua-5.1.so)
                                                              #7  0x00007fbae2746e09 lua_call (liblua-5.1.so)
                                                              #8  0x00007fbae5beb59f load_scripts (libmpv.so.1)
                                                              #9  0x00007fbae274ac4c luaD_precall (liblua-5.1.so)
                                                              #10 0x00007fbae274b1b9 luaD_call (liblua-5.1.so)
                                                              #11 0x00007fbae274a4d3 luaD_rawrunprotected (liblua-5.1.so)
                                                              #12 0x00007fbae274b391 luaD_pcall (liblua-5.1.so)
                                                              #13 0x00007fbae2746e9c lua_pcall (liblua-5.1.so)
                                                              #14 0x00007fbae5bece65 run_lua (libmpv.so.1)
                                                              #15 0x00007fbae274ac4c luaD_precall (liblua-5.1.so)
                                                              #16 0x00007fbae274b1b9 luaD_call (liblua-5.1.so)
                                                              #17 0x00007fbae274a4d3 luaD_rawrunprotected (liblua-5.1.so)
                                                              #18 0x00007fbae274b391 luaD_pcall (liblua-5.1.so)
                                                              #19 0x00007fbae2746f2b lua_cpcall (liblua-5.1.so)
                                                              #20 0x00007fbae5bea082 load_lua (libmpv.so.1)
                                                              #21 0x00007fbae5bf412c script_thread (libmpv.so.1)
                                                              #22 0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #23 0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2999:
                                                              #0  0x00007fbae528707a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae5c50dc5 vo_render_frame_external (libmpv.so.1)
                                                              #2  0x00007fbae5c51854 vo_thread (libmpv.so.1)
                                                              #3  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #4  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3013:
                                                              #0  0x00007fbae3933262 await_references (libavcodec.so.58)
                                                              #1  0x00007fbae393cc7a hl_decode_mb_simple_8 (libavcodec.so.58)
                                                              #2  0x00007fbae394c82b decode_slice (libavcodec.so.58)
                                                              #3  0x00007fbae394eb96 ff_h264_execute_decode_slices (libavcodec.so.58)
                                                              #4  0x00007fbae3955818 h264_decode_frame (libavcodec.so.58)
                                                              #5  0x00007fbae3b3aa99 frame_worker_thread (libavcodec.so.58)
                                                              #6  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #7  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2979:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae5bb9a6b mp_dispatch_lock (libmpv.so.1)
                                                              #2  0x00007fbae5bd1661 mpv_set_property (libmpv.so.1)
                                                              #3  0x000055f1ef071b3f celluloid_mpv_set_property (celluloid)
                                                              #4  0x000055f1ef063d6b celluloid_model_seek (celluloid)
                                                              #5  0x00007fbae5eaa742 g_closure_invoke (libgobject-2.0.so.0)
                                                              #6  0x00007fbae5ebe4b4 signal_emit_unlocked_R (libgobject-2.0.so.0)
                                                              #7  0x00007fbae5ec730e g_signal_emit_valist (libgobject-2.0.so.0)
                                                              #8  0x00007fbae5ec7f29 g_signal_emit_by_name (libgobject-2.0.so.0)
                                                              #9  0x00007fbae5eaa742 g_closure_invoke (libgobject-2.0.so.0)
                                                              #10 0x00007fbae5ebe4b4 signal_emit_unlocked_R (libgobject-2.0.so.0)
                                                              #11 0x00007fbae5ec730e g_signal_emit_valist (libgobject-2.0.so.0)
                                                              #12 0x00007fbae5ec7f29 g_signal_emit_by_name (libgobject-2.0.so.0)
                                                              #13 0x00007fbae5eaa742 g_closure_invoke (libgobject-2.0.so.0)
                                                              #14 0x00007fbae5ebe4b4 signal_emit_unlocked_R (libgobject-2.0.so.0)
                                                              #15 0x00007fbae5ec730e g_signal_emit_valist (libgobject-2.0.so.0)
                                                              #16 0x00007fbae5ec7f29 g_signal_emit_by_name (libgobject-2.0.so.0)
                                                              #17 0x00007fbae67327e1 _gtk_marshal_BOOLEAN__ENUM_DOUBLE (libgtk-3.so.0)
                                                              #18 0x00007fbae5eaa742 g_closure_invoke (libgobject-2.0.so.0)
                                                              #19 0x00007fbae5ebe4b4 signal_emit_unlocked_R (libgobject-2.0.so.0)
                                                              #20 0x00007fbae5ec6981 g_signal_emit_valist (libgobject-2.0.so.0)
                                                              #21 0x00007fbae5ec7933 g_signal_emit (libgobject-2.0.so.0)
                                                              #22 0x00007fbae65f5fbc update_slider_position (libgtk-3.so.0)
                                                              #23 0x00007fbae65f6e8a gtk_range_multipress_gesture_pressed (libgtk-3.so.0)
                                                              #24 0x00007fbae6738251 _gtk_marshal_VOID__INT_DOUBLE_DOUBLEv (libgtk-3.so.0)
                                                              #25 0x00007fbae5eaa996 _g_closure_invoke_va (libgobject-2.0.so.0)
                                                              #26 0x00007fbae5ec7188 g_signal_emit_valist (libgobject-2.0.so.0)
                                                              #27 0x00007fbae5ec7933 g_signal_emit (libgobject-2.0.so.0)
                                                              #28 0x00007fbae6550e78 gtk_gesture_multi_press_begin (libgtk-3.so.0)
                                                              #29 0x00007fbae5eadb96 g_cclosure_marshal_VOID__BOXEDv (libgobject-2.0.so.0)
                                                              #30 0x00007fbae5eaa996 _g_closure_invoke_va (libgobject-2.0.so.0)
                                                              #31 0x00007fbae5ec7188 g_signal_emit_valist (libgobject-2.0.so.0)
                                                              #32 0x00007fbae5ec7933 g_signal_emit (libgobject-2.0.so.0)
                                                              #33 0x00007fbae654db7e _gtk_gesture_check_recognized (libgtk-3.so.0)
                                                              #34 0x00007fbae654f10b gtk_gesture_handle_event (libgtk-3.so.0)
                                                              #35 0x00007fbae6552146 gtk_gesture_single_handle_event (libgtk-3.so.0)
                                                              #36 0x00007fbae6519c20 gtk_event_controller_handle_event (libgtk-3.so.0)
                                                              #37 0x00007fbae66daf5d _gtk_widget_run_controllers (libgtk-3.so.0)
                                                              #38 0x00007fbae6731f2f _gtk_marshal_BOOLEAN__BOXEDv (libgtk-3.so.0)
                                                              #39 0x00007fbae5eaa996 _g_closure_invoke_va (libgobject-2.0.so.0)
                                                              #40 0x00007fbae5ec6dca g_signal_emit_valist (libgobject-2.0.so.0)
                                                              #41 0x00007fbae5ec7933 g_signal_emit (libgobject-2.0.so.0)
                                                              #42 0x00007fbae66dc993 gtk_widget_event_internal (libgtk-3.so.0)
                                                              #43 0x00007fbae6598918 propagate_event (libgtk-3.so.0)
                                                              #44 0x00007fbae659ab2b gtk_main_do_event (libgtk-3.so.0)
                                                              #45 0x00007fbae6284f59 _gdk_event_emit (libgdk-3.so.0)
                                                              #46 0x00007fbae62e3476 gdk_event_source_dispatch (libgdk-3.so.0)
                                                              #47 0x00007fbae5dc1fed g_main_context_dispatch (libglib-2.0.so.0)
                                                              #48 0x00007fbae5dc2380 g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #49 0x00007fbae5dc2423 g_main_context_iteration (libglib-2.0.so.0)
                                                              #50 0x00007fbae5fd0865 g_application_run (libgio-2.0.so.0)
                                                              #51 0x000055f1ef059311 main (celluloid)
                                                              #52 0x00007fbae5708193 __libc_start_main (libc.so.6)
                                                              #53 0x000055f1ef05935e _start (celluloid)
                                                              
                                                              Stack trace of thread 3005:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3007:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3015:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3012:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3010:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3008:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3022:
                                                              #0  0x00007fbae57d779f __poll (libc.so.6)
                                                              #1  0x00007fbae302c196 poll_func (libpulse.so.0)
                                                              #2  0x00007fbae301d801 pa_mainloop_poll (libpulse.so.0)
                                                              #3  0x00007fbae301de83 pa_mainloop_iterate (libpulse.so.0)
                                                              #4  0x00007fbae301df30 pa_mainloop_run (libpulse.so.0)
                                                              #5  0x00007fbae302c0dd thread (libpulse.so.0)
                                                              #6  0x00007fbadfaf3b7c internal_thread_func (libpulsecommon-12.99.so)
                                                              #7  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #8  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 2997:
                                                              #0  0x00007fbae528707a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae5b8faff demux_thread (libmpv.so.1)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 3003:
                                                              #0  0x00007fbae5286d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fbae3b3aba6 frame_worker_thread (libavcodec.so.58)
                                                              #2  0x00007fbae52804e2 start_thread (libpthread.so.0)
                                                              #3  0x00007fbae57e2333 __clone (libc.so.6)
Aug 12 23:43:05 localhost.localdomain systemd[1]: systemd-coredump@0-3026-0.service: Succeeded.
Aug 12 23:43:05 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-3026-0 comm="systemd" exe="/usr/lib/sys>
Aug 12 23:43:06 localhost.localdomain abrtd[928]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2019-08-08-19:42:27.137263-22949'
Aug 12 23:43:11 localhost.localdomain abrt-server[3047]: Lock file '.lock' is locked by process 2022
Aug 12 23:43:12 localhost.localdomain systemd[1419]: Starting Mark boot as successful...
Aug 12 23:43:12 localhost.localdomain abrt-notification[3087]: Process 2979 (celluloid) crashed in cmd_key()

Comment 6 Phil V 2019-08-13 03:59:07 UTC
(In reply to Phil from comment #0)
> Description of problem:
> Upgrading Mesa to 19.1.3-1 causes VLC video playback to crash with an error
> message. Rolling back Mesa upgrades via 'dnf downgrade mesa-*' fixes the
> problem. 
> 
> Steps to Reproduce:
> 1. Install Mesa 19.1.3-1
> 2. Install VLC 3.0.7.1-3
> 3. Attempt to playback any video
> 
> Actual results:
> VLC crashes, dmesg displays a segfault in the nouveau driver
> 
> Additional info:
> Initially discussed here:
> https://ask.fedoraproject.org/t/vlc-player-installed-from-rpmfusion-crashes-
> with-all-videos/2703/9
> 
> kernel log points to nouveau_drv_video.so:
> 
> [ 59.550875] vlc[3788]: segfault at 38 ip 00007f9784a96e6f sp
> 00007f9797b3e3d0 error 4 in nouveau_drv_video.so[7f97847f9000+485000]
> [ 59.550878] Code: 89 f3 31 f6 48 83 ec 08 e8 3e 00 01 00 48 8b 40 08 48 8b
> 50 40 48 83 c0 40 48 39 c2 0f 84 4f 87 d6 ff 48 8b 42 10 48 8b 68 10 45 38
> ff ff 10 00 75 08 8b 45 28 39 45 24 74 10 48 83 c4 08 5b

My error messages look very different, but the solution in Comment 0 works for me as well:
> Rolling back Mesa upgrades via 'dnf downgrade mesa-*' fixes the problem. 

In KDE on each attempt to run vlc, a popup announces segmentation fault. 'segfault' does not appear in dmesg, but a call trace with lots of [nouveau] and [drm].

Thanks to OP Phil for including the complete command!

Comment 7 Brian Sands 2019-08-15 14:48:29 UTC
Experiencing the same issue. VLC and avidemux are currently running after a temporary mesa downgrade

Comment 8 ThomasKashofer 2019-08-16 13:45:56 UTC
Same issue here with a Fedora 30.

[00007f6df00053c0] glconv_vaapi_drm gl error: vaInitialize: unknown libva error
libva info: VA-API version 1.4.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
[00007f6df00053c0] glconv_vaapi_drm gl error: vaInitialize: unknown libva error
libva info: VA-API version 1.4.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/nouveau_drv_video.so
libva info: Found init function __vaDriverInit_1_4
KCrash: Application 'vlc' crashing...
KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
QSocketNotifier: Invalid socket 15 and type 'Read', disabling...
The X11 connection broke (error 1). Did the X11 server die?


Since I did NOT want to do a mesa downgrade, affecting the whole system, I used a nice workaround for vlc I found in another forum:


1) Open VLC media player.

2) Click on Tools and select Preferences… .

3) mark "All" under "Show settings" in the bottom left corner

4) Expand Video and click on the Output module

5) Under OpenGL set the two selections at the top from "automatic" to "deactivated"

HTH

Comment 9 Sören Möller 2019-08-16 21:13:02 UTC
I tried ThomasKashofer's workaround on (the current prerelease) Fedora 31, and it worked for me as well. Thanks for the suggestion.

Comment 10 Nicolas Chauvet (kwizart) 2019-08-19 17:58:20 UTC
Can anyone provide any valuable informations such as:

1∕ Either running Wayland/Native
2/ Which FLOSS driver is used (only nouveau is affected ?)
3/ does nouveau-firmware is installed or not (please remind that the firmware is only relevant for rather older)
4/ Is libva-vdpau-driver is installed or not ?
4/ Is it possible to reproduce the issue if:
 a/ VAAPI hw decode is used (instead of VAAPI with drm) with gl output kept( which is the default), or
 b/ VDPAU hw decode is enabled with gl output kept (as the default)
 c/ any hw decode is disabled with  gl output kept.


If anyone is able to reproduce the crash, please provide a stacktrace with debuginfo packages installed (and attached in this bugzilla report).
Please see https://fedoraproject.org/wiki/StackTraces

Comment 11 Nicolas Chauvet (kwizart) 2019-08-19 18:24:32 UTC
I meant 1/ Either running Wayland/Xorg

Comment 12 Fedora Update System 2019-08-19 23:51:28 UTC
FEDORA-2019-e7f463674c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e7f463674c

Comment 13 Fedora Update System 2019-08-20 00:42:31 UTC
mesa-19.1.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e7f463674c

Comment 14 Fedora Update System 2019-08-22 01:17:34 UTC
mesa-19.1.4-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.